> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/bmc/cidr-block/terminatecidrblock.md).

# TerminateCidrBlock

## 1. API Description

This API (TerminateCidrBlock) is used to return a CIDR block.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Use this API to return a CIDR block that is no longer required. A pay-as-you-go CIDR block will stop billing after it is returns.</mark>
* <mark style="color:blue;">You cannot return a subscription CIDR block using this API, which will be returned when subscription expires.</mark>
* <mark style="color:blue;">You cannot return the CIDR block if the IP in it is assigned to an instance. Please unassign all the instances before returning the CIDR block.</mark>
* <mark style="color:blue;">The returned IPv4 CIDR block will be moved to the recycle bin and be released in 24 hours if there are no other operations. You can also call</mark> [<mark style="color:purple;">`ReleaseCidrBlocks`</mark>](/api-reference/bmc/cidr-block/releasecidrblocks.md) <mark style="color:blue;">to release it.</mark>
* <mark style="color:blue;">The returned IPv4 CIDR block will be released directly.</mark>
* <mark style="color:blue;">Operations on CIDR blocks in recycle bin or in</mark> <mark style="color:blue;">`CREATING`</mark> <mark style="color:blue;">status are not supported.</mark>
* <mark style="color:blue;">Operations on CIDR block in</mark> <mark style="color:blue;">`CREATE_FAILED`</mark> <mark style="color:blue;">status will delete the CIDR block directly. For prepaid CIDR blocks, all payment amounts will be refunded.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                     |
| -------------- | -------- | ------ | --------------------------------------------------------------------------------------------------------------- |
| cidrBlockId    | Yes      | String | <p>ID of the CIDR block.</p><p>You can find the cidrBlockId in the response by calling DescribeCidrBlocks .</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
Return a CIDR block.

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: TerminateCidrBlock
<Common Request Params>

Request:
{
  "cidrBlockId": "cidrBlockId"
}

Response:
{
  "requestId": "TC9E90021-5016-455C-B2F4-9D640EF63176",
  "response": {
    "requestId": "TC9E90021-5016-455C-B2F4-9D640EF63176"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                 | Description                                              |
| ---------------- | ------------------------------------------ | -------------------------------------------------------- |
| 403              | OPERATION\_DENIED\_CIDRBLOCK\_SUBSCRIPTION | CIDR block in subscription cannot be returned.           |
| 403              | OPERATION\_DENIED\_INSTANCE\_EXIST         | CIDR block associated with instances cannot be returned. |
